import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Brawler } from '../model/brawler';
import { BrawlerList } from '../model/brawlerList';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class BrawlerService {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Finds all brawlers
     * All brawlers
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    getAllBrawlers(observe?: 'body', reportProgress?: boolean): Observable<BrawlerList>;
    getAllBrawlers(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<BrawlerList>>;
    getAllBrawlers(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<BrawlerList>>;
    /**
     * Finds a brawler based on brawler ID
     * A brawler information
     * @param brawlerId ID of brawler to return
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    getBrawler(brawlerId: number, observe?: 'body', reportProgress?: boolean): Observable<Brawler>;
    getBrawler(brawlerId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Brawler>>;
    getBrawler(brawlerId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Brawler>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BrawlerService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BrawlerService>;
}
