import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs';
import { GameMode } from '../model/gameMode';
import { GameModeList } from '../model/gameModeList';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class GamemodeService {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Finds all gamemodes
     * All gamemodes
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    getAllGamemodes(observe?: 'body', reportProgress?: boolean): Observable<GameModeList>;
    getAllGamemodes(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<GameModeList>>;
    getAllGamemodes(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<GameModeList>>;
    /**
     * Finds a gamemode based on gamemode ID
     * A gamemode information
     * @param gamemodeId ID of gamemode to return
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    getGamemode(gamemodeId: number, observe?: 'body', reportProgress?: boolean): Observable<GameMode>;
    getGamemode(gamemodeId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<GameMode>>;
    getGamemode(gamemodeId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<GameMode>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<GamemodeService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GamemodeService>;
}
